/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.POJO;
import net.northking.cctp.common.db.Partition;

import java.util.Date;


/**
 * 脚本输入项关联草稿表版本表
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2023-09-05 09:50:25  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "脚本输入项关联草稿表版本表")
public class AtuScriptInputSetVersion extends Partition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_scriptVersionId = "scriptVersionId";
  public static final String KEY_scriptId = "scriptId";
  public static final String KEY_envId = "envId";
  public static final String KEY_dataUrl = "dataUrl";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_createdBy = "createdBy";

  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 脚本版本id<br>
   */
  @ApiModelProperty("脚本版本id")
  private Integer scriptVersionId;
  /**
   * 脚本id<br>
   */
  @ApiModelProperty("脚本id")
  @Size(max = 32, message="脚本id-scriptId: 数据长度不能 > 32" )
  private String scriptId;
  /**
   * 环境id<br>
   */
  @ApiModelProperty("环境id")
  @Size(max = 32, message="环境id-envId: 数据长度不能 > 32" )
  private String envId;
  /**
   * 输入项数据文件地址<br>
   */
  @ApiModelProperty("输入项数据文件地址")
  @Size(max = 255, message="输入项数据文件地址-dataUrl: 数据长度不能 > 255" )
  private String dataUrl;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 脚本版本id<br>
   */
  public Integer getScriptVersionId()
  {
      return scriptVersionId;
    }

  /**
   * 脚本版本id<br>
   *
   * @param scriptVersionId 脚本版本id
   */
  public void setScriptVersionId(Integer scriptVersionId)
  {
      this.scriptVersionId = scriptVersionId;
    }
  /**
   * 脚本id<br>
   */
  public String getScriptId()
  {
      return scriptId;
    }

  /**
   * 脚本id<br>
   *
   * @param scriptId 脚本id
   */
  public void setScriptId(String scriptId)
  {
      this.scriptId = scriptId;
    }
  /**
   * 环境id<br>
   */
  public String getEnvId()
  {
      return envId;
    }

  /**
   * 环境id<br>
   *
   * @param envId 环境id
   */
  public void setEnvId(String envId)
  {
      this.envId = envId;
    }
  /**
   * 输入项数据文件地址<br>
   */
  public String getDataUrl()
  {
      return dataUrl;
    }

  /**
   * 输入项数据文件地址<br>
   *
   * @param dataUrl 输入项数据文件地址
   */
  public void setDataUrl(String dataUrl)
  {
      this.dataUrl = dataUrl;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }

  public AtuScriptInputSetVersion()
  {
  }

}
